package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: SeriesClaimReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:43
 */
@Data
public class Nft030SeriesClaimRespDto implements Serializable {
    /**
     * 任务ID
     */
    private String taskId;

    private static final Nft030SeriesClaimRespDto obj = new Nft030SeriesClaimRespDto();
    public static Nft030SeriesClaimRespDto getNew() {
        try {
            return (Nft030SeriesClaimRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft030SeriesClaimRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
